# Class JSOFA.Ldbody

java.lang.Object
org.jastronomy.jsofa.JSOFA.Ldbody

Enclosing class:
  `JSOFA`

public static class JSOFA.Ldbody extends Object
Body parameters for light deflection.

Since:
  20131202
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 26 Mar 2014

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`bm`
mass of the body (solar masses)
`double`
`dl`
deflection limiter (radians^2/2)
`double[][]`
`pv`
barycentric PV of the body (au, au/day)[2][3]

## Constructor Summary

Constructors
Constructor
Description
`Ldbody()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bm

public double bm
mass of the body (solar masses)

### dl

public double dl
deflection limiter (radians^2/2)

### pv

public double[][] pv
barycentric PV of the body (au, au/day)[2][3]

## Constructor Details

### Ldbody

public Ldbody()